Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IObjectSymbol

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ISymbol, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  IBeanInstanceSymbol, IBeanPropertySymbol, IComponentSymbol, IInstanceSymbol, IPropertySymbol

public interface IObjectSymbol
extends ISymbol

A representation of the model object 'IObject Symbol'.

The following features are supported:

- `Type Descriptor`
- `Readable`
- `Writable`

See Also:
  `SymbolPackage.getIObjectSymbol()`

Field Summary
`static java.lang.String` | `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`EMPTY_SYMBOL_ARRAY`

Method Summary
`ITypeDescriptor` | `getTypeDescriptor()` Returns the value of the 'Type Descriptor' reference.
`boolean` | `isReadable()` Returns the value of the 'Readable' attribute.
`boolean` | `isWritable()` Returns the value of the 'Writable' attribute.
`void` | `setReadable(boolean value)` Sets the value of the '`Readable`' attribute.
`void` | `setTypeDescriptor(ITypeDescriptor value)` Sets the value of the '`Type Descriptor`' reference.
`void` | `setWritable(boolean value)` Sets the value of the '`Writable`' attribute.

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getTypeDescriptor

    public ITypeDescriptor getTypeDescriptor()

  Returns the value of the 'Type Descriptor' reference.

  If the meaning of the 'Type Descriptor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Descriptor' reference.
  See Also:
    `setTypeDescriptor(ITypeDescriptor)`, `SymbolPackage.getIObjectSymbol_TypeDescriptor()`

### setTypeDescriptor

    public void setTypeDescriptor(ITypeDescriptor value)

  Sets the value of the '`Type Descriptor`' reference.

  Parameters:
    `value` - the new value of the 'Type Descriptor' reference.
  See Also:
    `getTypeDescriptor()`

### isReadable

    public boolean isReadable()

  Returns the value of the 'Readable' attribute.

  If the meaning of the 'Readable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Readable' attribute.
  See Also:
    `setReadable(boolean)`, `SymbolPackage.getIObjectSymbol_Readable()`

### setReadable

    public void setReadable(boolean value)

  Sets the value of the '`Readable`' attribute.

  Parameters:
    `value` - the new value of the 'Readable' attribute.
  See Also:
    `isReadable()`

### isWritable

    public boolean isWritable()

  Returns the value of the 'Writable' attribute.

  If the meaning of the 'Writable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Writable' attribute.
  See Also:
    `setWritable(boolean)`, `SymbolPackage.getIObjectSymbol_Writable()`

### setWritable

    public void setWritable(boolean value)

  Sets the value of the '`Writable`' attribute.

  Parameters:
    `value` - the new value of the 'Writable' attribute.
  See Also:
    `isWritable()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD